FreeMat

- Main Page
- Related Pages

vtkImagePermute

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImagePermute reorders the axes of the input. Filtered axes specify the input axes which become X, Y, Z. The input has to have the same scalar type of the output. The filter does copy the data when it executes. This filter is actually a very thin wrapper around vtkImageReslice.

To create an instance of class vtkImagePermute, simply invoke its constructor as follows

      obj = vtkImagePermute

# Methods

The class vtkImagePermute has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImagePermute class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImagePermute = obj.NewInstance ()`
- `vtkImagePermute = obj.SafeDownCast (vtkObject o)`
- `obj.SetFilteredAxes (int x, int y, int z)` - The filtered axes are the input axes that get relabeled to X,Y,Z.
- `obj.SetFilteredAxes (int xyz[3])` - The filtered axes are the input axes that get relabeled to X,Y,Z.
- `int = obj. GetFilteredAxes ()` - The filtered axes are the input axes that get relabeled to X,Y,Z.